export declare class EnvironmentValues {
    EnvironmetName: string;
    ServiceOffering: string;
    ServiceLine: string;
    Service: string;
    ComponentName: string;
    ComponentId: string;
    IctoId: string;
    constructor(environmentName: string, serviceOffering: string, serviceLine: string, service: string, componentName: string, componentId: string, ictoId: string);
    getTelemetryObject(instrumentationKey: string, version: string): {
        EnvironmentName: string;
        AiAppKey: string;
        ServiceOffering: string;
        ServiceLine: string;
        Service: string;
        ComponentName: string;
        ComponentId: string;
        ItExtVersion: string;
    };
}
