import { ComponentType } from './ComponentType';
import { ItEventType } from './ItEventType';
export declare class FeatureUsageEvent {
    private eventName;
    private duration;
    private componentUri;
    private eventType;
    private componentType;
    private xcv;
    private userRoleName;
    private startDateTime;
    private endDateTime;
    private templateType;
    constructor(eventName: string, componentType: ComponentType);
    constructor(eventName: string, componentType: ComponentType, startDateTime: Date, endDateTime: Date);
    EventName: string;
    Duration: number;
    ComponentUri: string;
    readonly EventType: ItEventType;
    readonly TemplateType: string;
    ComponentType: ComponentType;
    Xcv: string;
    UserRoleName: string;
    StartDateTime: Date;
    EndDateTime: Date;
    IsValidEvent(): boolean;
    getTelemtryObject(): {};
}
