"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
var Constants_1 = require("../utils/Constants");
var FeatureUsageEvent = /** @class */ (function () {
    function FeatureUsageEvent(eventName, componentType, startDateTime, endDateTime) {
        this.EventName = eventName;
        this.ComponentType = componentType;
        this.startDateTime = startDateTime;
        this.endDateTime = endDateTime;
    }
    Object.defineProperty(FeatureUsageEvent.prototype, "EventName", {
        get: function () {
            return this.eventName;
        },
        set: function (value) {
            this.eventName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "Duration", {
        get: function () {
            return this.duration;
        },
        set: function (value) {
            this.duration = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "ComponentUri", {
        get: function () {
            return this.componentUri;
        },
        set: function (value) {
            this.componentUri = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "EventType", {
        get: function () {
            return this.eventType;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "TemplateType", {
        get: function () {
            return "Internal.FeatureUsageEvent";
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "ComponentType", {
        get: function () {
            return this.componentType;
        },
        set: function (value) {
            this.componentType = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "Xcv", {
        get: function () {
            return this.xcv;
        },
        set: function (value) {
            this.xcv = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "UserRoleName", {
        get: function () {
            return this.userRoleName;
        },
        set: function (value) {
            this.userRoleName = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "StartDateTime", {
        get: function () {
            return this.startDateTime;
        },
        set: function (value) {
            this.startDateTime = value;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(FeatureUsageEvent.prototype, "EndDateTime", {
        get: function () {
            return this.endDateTime;
        },
        set: function (value) {
            this.endDateTime = value;
        },
        enumerable: true,
        configurable: true
    });
    FeatureUsageEvent.prototype.IsValidEvent = function () {
        if (!this.eventName || 0 === this.eventName.length) {
            return false;
        }
        else {
            return true;
        }
    };
    FeatureUsageEvent.prototype.getTelemtryObject = function () {
        var properties = {};
        properties[Constants_1.PropertyName.ComponentType] = this.ComponentType;
        properties[Constants_1.PropertyName.Xcv] = this.Xcv;
        properties[Constants_1.PropertyName.UserRoleName] = this.UserRoleName;
        properties[Constants_1.PropertyName.EventType] = this.EventType;
        properties[Constants_1.PropertyName.MsitPartB] = true;
        properties[Constants_1.PropertyName.StartDateTime] = this.StartDateTime;
        properties[Constants_1.PropertyName.EndDateTime] = this.EndDateTime;
        properties[Constants_1.PropertyName.TemplateType] = this.TemplateType;
        return properties;
    };
    return FeatureUsageEvent;
}());
exports.FeatureUsageEvent = FeatureUsageEvent;
//# sourceMappingURL=FeatureUsageEvent.js.map