"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var SerializationHelper_1 = require("./SerializationHelper");
var ExtensionsConfig_1 = require("./ExtensionsConfig");
var ItTelemetryConfiguration = /** @class */ (function (_super) {
    __extends(ItTelemetryConfiguration, _super);
    function ItTelemetryConfiguration() {
        return _super !== null && _super.apply(this, arguments) || this;
    }
    ItTelemetryConfiguration.prototype.IsJsonString = function (str) {
        try {
            JSON.parse(str);
        }
        catch (e) {
            return false;
        }
        return true;
    };
    ItTelemetryConfiguration.prototype.Initialize = function (ECObject) {
        this.active = SerializationHelper_1.SerializationHelper.toInstance(new ExtensionsConfig_1.ExtensionsConfig(), ECObject);
    };
    Object.defineProperty(ItTelemetryConfiguration.prototype, "getActive", {
        // GET
        get: function () {
            return this.active;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ItTelemetryConfiguration.prototype, "getBpmValidations", {
        get: function () {
            return this.getActive.BpmValidations;
        },
        enumerable: true,
        configurable: true
    });
    Object.defineProperty(ItTelemetryConfiguration.prototype, "getEnableBpmValidation", {
        get: function () {
            return this.getActive.EnableBpmValidation;
        },
        enumerable: true,
        configurable: true
    });
    ItTelemetryConfiguration.prototype.ReadBpmValidation = function (bpmName) {
        var defObject = null;
        if (bpmName != null && typeof bpmName != 'undefined' && this.getBpmValidations != null && this.getBpmValidations.length > 0) {
            var bpmValidationsArray = this.getBpmValidations;
            for (var index = 0; index < bpmValidationsArray.length; index++) {
                if (bpmValidationsArray[index].BusinessProcessName == bpmName) {
                    return bpmValidationsArray[index];
                }
            }
        }
        return defObject;
    };
    return ItTelemetryConfiguration;
}(SerializationHelper_1.SerializationHelper));
exports.ItTelemetryConfiguration = ItTelemetryConfiguration;
//# sourceMappingURL=ItTelemetryConfiguration.js.map