"use strict";
var __extends = (this && this.__extends) || (function () {
    var extendStatics = function (d, b) {
        extendStatics = Object.setPrototypeOf ||
            ({ __proto__: [] } instanceof Array && function (d, b) { d.__proto__ = b; }) ||
            function (d, b) { for (var p in b) if (b.hasOwnProperty(p)) d[p] = b[p]; };
        return extendStatics(d, b);
    };
    return function (d, b) {
        extendStatics(d, b);
        function __() { this.constructor = d; }
        d.prototype = b === null ? Object.create(b) : (__.prototype = b.prototype, new __());
    };
})();
Object.defineProperty(exports, "__esModule", { value: true });
var BusinessProcessEvent_1 = require("./BusinessProcessEvent");
var ItEventType_1 = require("./ItEventType");
var Constants_1 = require("../utils/Constants");
var SystemEvent = /** @class */ (function (_super) {
    __extends(SystemEvent, _super);
    function SystemEvent(businessProcessName, componentType, systemMessage) {
        var _this = _super.call(this, businessProcessName, componentType, null, null) || this;
        _this.systemMessage = systemMessage;
        _this.EventType = ItEventType_1.ItEventType.SystemEvent;
        return _this;
    }
    Object.defineProperty(SystemEvent.prototype, "SystemMessage", {
        get: function () {
            return this.systemMessage;
        },
        set: function (value) {
            this.systemMessage = value;
        },
        enumerable: true,
        configurable: true
    });
    SystemEvent.prototype.IsValidEvent = function () {
        if (!this.EventName || 0 === this.EventName.length) {
            return false;
        }
        else {
            return true;
        }
    };
    SystemEvent.prototype.getTelemetryObject = function () {
        var properties = {};
        properties[Constants_1.PropertyName.BusinessProcessName] = this.BusinessProcessName;
        properties[Constants_1.PropertyName.TargetEntityKey] = this.TargetEntityKey;
        properties[Constants_1.PropertyName.AppAction] = this.AppAction;
        properties[Constants_1.PropertyName.ActionUri] = this.ActionUri;
        properties[Constants_1.PropertyName.ComponentType] = this.ComponentType;
        properties[Constants_1.PropertyName.Xcv] = this.Xcv;
        properties[Constants_1.PropertyName.UserRoleName] = this.UserRoleName;
        properties[Constants_1.PropertyName.SenderId] = this.SenderId;
        properties[Constants_1.PropertyName.ReceiverId] = this.ReceiverId;
        properties[Constants_1.PropertyName.MessageId] = this.MessageId;
        properties[Constants_1.PropertyName.EventOccurrenceTime] = this.EventOccurrenceTime;
        properties[Constants_1.PropertyName.EventType] = this.EventType;
        properties[Constants_1.PropertyName.MsitPartB] = true;
        properties[Constants_1.PropertyName.StartDateTime] = this.StartDateTime;
        properties[Constants_1.PropertyName.EndDateTime] = this.EndDateTime;
        properties[Constants_1.PropertyName.TemplateType] = this.TemplateType;
        return properties;
    };
    return SystemEvent;
}(BusinessProcessEvent_1.BusinessProcessEvent));
exports.SystemEvent = SystemEvent;
//# sourceMappingURL=SystemEvent.js.map